---
title: FontAwesome icons
---
## Overview

PatternFly includes [FontAwesome icons](http://fontawesome.io/).

Not all of the FontAwesome icons are recommended for use with PatternFly, but are included for convenience.

PatternFly design specs are [here](https://www.patternfly.org/styles/icons/).

## Accessibility

FontAwesome has excellent [accessibility notes](http://fontawesome.io/accessibility/) for icons.

## Usage

| Class | Usage |
| -- | -- |
| `.fa` **Applied to:** `<span>` |  **Outcome:** Initiates a FontAwesome icon **Required:** Yes **Remarks:** Always use it with an icon name class. |
| `.fa-{icon-name}` **Applied to:** `.fa` | **Outcome:** Selects the icon **Required:** Yes |
